// Garden Gnome Software - Skin
// Object2VR 3.0beta4/10565
// Filename: UI_3D_mini.ggsk
// Generated Ср 26. Бер 14:33:10 2014

function object2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.preloadImages=function() {
		var preLoadImg=new Image();
		preLoadImg.src=basePath + 'Skin/autoplay__o.png';
		preLoadImg.src=basePath + 'Skin/fullscreen__o.png';
		preLoadImg.src=basePath + 'Skin/info__o.png';
		preLoadImg.src=basePath + 'Skin/zoom0__o.png';
		preLoadImg.src=basePath + 'Skin/zoom__o.png';
		preLoadImg.src=basePath + 'Skin/zoom100__o.png';
	}
	
	this.addSkin=function() {
		this._image_5=document.createElement('div');
		this._image_5.ggId="Image 5";
		this._image_5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_5.ggVisible=true;
		this._image_5.className='ggskin ggskin_image';
		this._image_5.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 164px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_5.setAttribute('style',hs);
		this._image_5__img=document.createElement('img');
		this._image_5__img.className='ggskin ggskin_image';
		this._image_5__img.setAttribute('src',basePath + 'Skin/image_5.png');
		this._image_5__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_5__img.className='ggskin ggskin_image';
		this._image_5__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_5__img);
		this._image_5.appendChild(this._image_5__img);
		this.divSkin.appendChild(this._image_5);
		this._ui=document.createElement('div');
		this._ui.ggId="UI";
		this._ui.ggParameter={ rx:0,ry:0,a:0,sx:0.8,sy:0.8 };
		this._ui.ggVisible=true;
		this._ui.className='ggskin ggskin_container';
		this._ui.ggType='container';
		this._ui.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-207 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-76 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -207px;';
		hs+='top:  -76px;';
		hs+='width: 415px;';
		hs+='height: 70px;';
		hs+=cssPrefix + 'transform-origin: 50% 100%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._ui.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._ui.setAttribute('style',hs);
		this._autoplay=document.createElement('div');
		this._autoplay.ggId="AutoPlay";
		this._autoplay.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._autoplay.ggVisible=true;
		this._autoplay.className='ggskin ggskin_button';
		this._autoplay.ggType='button';
		hs ='position:absolute;';
		hs+='left: 330px;';
		hs+='top:  29px;';
		hs+='width: 77px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._autoplay.setAttribute('style',hs);
		this._autoplay__img=document.createElement('img');
		this._autoplay__img.className='ggskin ggskin_button';
		this._autoplay__img.setAttribute('src',basePath + 'Skin/autoplay.png');
		this._autoplay__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._autoplay__img.className='ggskin ggskin_button';
		this._autoplay__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._autoplay__img);
		this._autoplay.appendChild(this._autoplay__img);
		this._autoplay.onclick=function () {
			me.player.toggleAutorotate();
		}
		this._autoplay.onmouseover=function () {
			me._autoplay__img.src=basePath + 'Skin/autoplay__o.png';
			me.elementMouseOver['autoplay']=true;
		}
		this._autoplay.onmouseout=function () {
			me._autoplay_text.style[domTransition]='none';
			me._autoplay_text.style.visibility='hidden';
			me._autoplay_text.ggVisible=false;
			me._autoplay__img.src=basePath + 'Skin/autoplay.png';
			me.elementMouseOver['autoplay']=false;
		}
		this._autoplay.ontouchend=function () {
			me.elementMouseOver['autoplay']=false;
		}
		this._ui.appendChild(this._autoplay);
		this._fullscreen=document.createElement('div');
		this._fullscreen.ggId="FullScreen";
		this._fullscreen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fullscreen.ggVisible=true;
		this._fullscreen.className='ggskin ggskin_button';
		this._fullscreen.ggType='button';
		hs ='position:absolute;';
		hs+='left: 7px;';
		hs+='top:  29px;';
		hs+='width: 91px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._fullscreen.setAttribute('style',hs);
		this._fullscreen__img=document.createElement('img');
		this._fullscreen__img.className='ggskin ggskin_button';
		this._fullscreen__img.setAttribute('src',basePath + 'Skin/fullscreen.png');
		this._fullscreen__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._fullscreen__img.className='ggskin ggskin_button';
		this._fullscreen__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._fullscreen__img);
		this._fullscreen.appendChild(this._fullscreen__img);
		this._fullscreen.onclick=function () {
			me.player.toggleFullscreen();
		}
		this._fullscreen.onmouseover=function () {
			me._fullscreen__img.src=basePath + 'Skin/fullscreen__o.png';
			me.elementMouseOver['fullscreen']=true;
		}
		this._fullscreen.onmouseout=function () {
			me._fullscreen_text.style[domTransition]='none';
			me._fullscreen_text.style.visibility='hidden';
			me._fullscreen_text.ggVisible=false;
			me._fullscreen__img.src=basePath + 'Skin/fullscreen.png';
			me.elementMouseOver['fullscreen']=false;
		}
		this._fullscreen.ontouchend=function () {
			me.elementMouseOver['fullscreen']=false;
		}
		this._ui.appendChild(this._fullscreen);
		this._info=document.createElement('div');
		this._info.ggId="Info";
		this._info.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._info.ggVisible=true;
		this._info.className='ggskin ggskin_button';
		this._info.ggType='button';
		hs ='position:absolute;';
		hs+='left: 97px;';
		hs+='top:  29px;';
		hs+='width: 89px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._info.setAttribute('style',hs);
		this._info__img=document.createElement('img');
		this._info__img.className='ggskin ggskin_button';
		this._info__img.setAttribute('src',basePath + 'Skin/info.png');
		this._info__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._info__img.className='ggskin ggskin_button';
		this._info__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._info__img);
		this._info.appendChild(this._info__img);
		this._info.onmouseover=function () {
			me._info__img.src=basePath + 'Skin/info__o.png';
			me.elementMouseOver['info']=true;
		}
		this._info.onmouseout=function () {
			me._info_text.style[domTransition]='none';
			me._info_text.style.visibility='hidden';
			me._info_text.ggVisible=false;
			me._info__img.src=basePath + 'Skin/info.png';
			me.elementMouseOver['info']=false;
		}
		this._info.ontouchend=function () {
			me.elementMouseOver['info']=false;
		}
		this._ui.appendChild(this._info);
		this._zoom0=document.createElement('div');
		this._zoom0.ggId="Zoom+";
		this._zoom0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom0.ggVisible=true;
		this._zoom0.className='ggskin ggskin_button';
		this._zoom0.ggType='button';
		hs ='position:absolute;';
		hs+='left: 287px;';
		hs+='top:  29px;';
		hs+='width: 43px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom0.setAttribute('style',hs);
		this._zoom0__img=document.createElement('img');
		this._zoom0__img.className='ggskin ggskin_button';
		this._zoom0__img.setAttribute('src',basePath + 'Skin/zoom0.png');
		this._zoom0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom0__img.className='ggskin ggskin_button';
		this._zoom0__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom0__img);
		this._zoom0.appendChild(this._zoom0__img);
		this._zoom0.onmouseover=function () {
			me._zoom0__img.src=basePath + 'Skin/zoom0__o.png';
			me.elementMouseOver['zoom0']=true;
		}
		this._zoom0.onmouseout=function () {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='hidden';
			me._zoom_text.ggVisible=false;
			me._zoom0__img.src=basePath + 'Skin/zoom0.png';
			me.elementMouseDown['zoom0']=false;
			me.elementMouseOver['zoom0']=false;
		}
		this._zoom0.onmousedown=function () {
			me.elementMouseDown['zoom0']=true;
		}
		this._zoom0.onmouseup=function () {
			me.elementMouseDown['zoom0']=false;
		}
		this._zoom0.ontouchend=function () {
			me.elementMouseDown['zoom0']=false;
			me.elementMouseOver['zoom0']=false;
		}
		this._ui.appendChild(this._zoom0);
		this._zoom=document.createElement('div');
		this._zoom.ggId="Zoom-";
		this._zoom.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom.ggVisible=true;
		this._zoom.className='ggskin ggskin_button';
		this._zoom.ggType='button';
		hs ='position:absolute;';
		hs+='left: 186px;';
		hs+='top:  29px;';
		hs+='width: 45px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom.setAttribute('style',hs);
		this._zoom__img=document.createElement('img');
		this._zoom__img.className='ggskin ggskin_button';
		this._zoom__img.setAttribute('src',basePath + 'Skin/zoom.png');
		this._zoom__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom__img.className='ggskin ggskin_button';
		this._zoom__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom__img);
		this._zoom.appendChild(this._zoom__img);
		this._zoom.onmouseover=function () {
			me._zoom__img.src=basePath + 'Skin/zoom__o.png';
			me.elementMouseOver['zoom']=true;
		}
		this._zoom.onmouseout=function () {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='hidden';
			me._zoom_text.ggVisible=false;
			me._zoom__img.src=basePath + 'Skin/zoom.png';
			me.elementMouseDown['zoom']=false;
			me.elementMouseOver['zoom']=false;
		}
		this._zoom.onmousedown=function () {
			me.elementMouseDown['zoom']=true;
		}
		this._zoom.onmouseup=function () {
			me.elementMouseDown['zoom']=false;
		}
		this._zoom.ontouchend=function () {
			me.elementMouseDown['zoom']=false;
			me.elementMouseOver['zoom']=false;
		}
		this._ui.appendChild(this._zoom);
		this._zoom100=document.createElement('div');
		this._zoom100.ggId="Zoom100";
		this._zoom100.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom100.ggVisible=true;
		this._zoom100.className='ggskin ggskin_button';
		this._zoom100.ggType='button';
		hs ='position:absolute;';
		hs+='left: 231px;';
		hs+='top:  29px;';
		hs+='width: 56px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom100.setAttribute('style',hs);
		this._zoom100__img=document.createElement('img');
		this._zoom100__img.className='ggskin ggskin_button';
		this._zoom100__img.setAttribute('src',basePath + 'Skin/zoom100.png');
		this._zoom100__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom100__img.className='ggskin ggskin_button';
		this._zoom100__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom100__img);
		this._zoom100.appendChild(this._zoom100__img);
		this._zoom100.onclick=function () {
			me.player.moveToDefaultView(2);
		}
		this._zoom100.onmouseover=function () {
			me._zoom100__img.src=basePath + 'Skin/zoom100__o.png';
			me.elementMouseOver['zoom100']=true;
		}
		this._zoom100.onmouseout=function () {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='hidden';
			me._zoom_text.ggVisible=false;
			me._zoom100__img.src=basePath + 'Skin/zoom100.png';
			me.elementMouseOver['zoom100']=false;
		}
		this._zoom100.ontouchend=function () {
			me.elementMouseOver['zoom100']=false;
		}
		this._ui.appendChild(this._zoom100);
		this._zoom_text=document.createElement('div');
		this._zoom_text.ggId="Zoom_text";
		this._zoom_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_text.ggVisible=false;
		this._zoom_text.className='ggskin ggskin_image';
		this._zoom_text.ggType='image';
		hs ='position:absolute;';
		hs+='left: 225px;';
		hs+='top:  2px;';
		hs+='width: 74px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._zoom_text.setAttribute('style',hs);
		this._zoom_text__img=document.createElement('img');
		this._zoom_text__img.className='ggskin ggskin_image';
		this._zoom_text__img.setAttribute('src',basePath + 'Skin/zoom_text.png');
		this._zoom_text__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom_text__img.className='ggskin ggskin_image';
		this._zoom_text__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom_text__img);
		this._zoom_text.appendChild(this._zoom_text__img);
		this._ui.appendChild(this._zoom_text);
		this._autoplay_text=document.createElement('div');
		this._autoplay_text.ggId="AutoPlay_text";
		this._autoplay_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._autoplay_text.ggVisible=false;
		this._autoplay_text.className='ggskin ggskin_image';
		this._autoplay_text.ggType='image';
		hs ='position:absolute;';
		hs+='left: 333px;';
		hs+='top:  2px;';
		hs+='width: 74px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._autoplay_text.setAttribute('style',hs);
		this._autoplay_text__img=document.createElement('img');
		this._autoplay_text__img.className='ggskin ggskin_image';
		this._autoplay_text__img.setAttribute('src',basePath + 'Skin/autoplay_text.png');
		this._autoplay_text__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._autoplay_text__img.className='ggskin ggskin_image';
		this._autoplay_text__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._autoplay_text__img);
		this._autoplay_text.appendChild(this._autoplay_text__img);
		this._ui.appendChild(this._autoplay_text);
		this._fullscreen_text=document.createElement('div');
		this._fullscreen_text.ggId="FullScreen_text";
		this._fullscreen_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fullscreen_text.ggVisible=false;
		this._fullscreen_text.className='ggskin ggskin_image';
		this._fullscreen_text.ggType='image';
		hs ='position:absolute;';
		hs+='left: 19px;';
		hs+='top:  2px;';
		hs+='width: 74px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._fullscreen_text.setAttribute('style',hs);
		this._fullscreen_text__img=document.createElement('img');
		this._fullscreen_text__img.className='ggskin ggskin_image';
		this._fullscreen_text__img.setAttribute('src',basePath + 'Skin/fullscreen_text.png');
		this._fullscreen_text__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._fullscreen_text__img.className='ggskin ggskin_image';
		this._fullscreen_text__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._fullscreen_text__img);
		this._fullscreen_text.appendChild(this._fullscreen_text__img);
		this._ui.appendChild(this._fullscreen_text);
		this._info_text=document.createElement('div');
		this._info_text.ggId="Info_text";
		this._info_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._info_text.ggVisible=false;
		this._info_text.className='ggskin ggskin_image';
		this._info_text.ggType='image';
		hs ='position:absolute;';
		hs+='left: 107px;';
		hs+='top:  2px;';
		hs+='width: 74px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._info_text.setAttribute('style',hs);
		this._info_text__img=document.createElement('img');
		this._info_text__img.className='ggskin ggskin_image';
		this._info_text__img.setAttribute('src',basePath + 'Skin/info_text.png');
		this._info_text__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._info_text__img.className='ggskin ggskin_image';
		this._info_text__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._info_text__img);
		this._info_text.appendChild(this._info_text__img);
		this._ui.appendChild(this._info_text);
		this.divSkin.appendChild(this._ui);
		this._loading_bar=document.createElement('div');
		this._loading_bar.ggId="loading bar";
		this._loading_bar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_bar.ggVisible=true;
		this._loading_bar.className='ggskin ggskin_rectangle';
		this._loading_bar.ggType='rectangle';
		this._loading_bar.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-318 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-479 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -318px;';
		hs+='top:  -479px;';
		hs+='width: 641px;';
		hs+='height: 6px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #00aaff;';
		hs+='background: rgba(0,170,255,0.392157);';
		hs+='border: 0px solid #000080;';
		this._loading_bar.setAttribute('style',hs);
		this.divSkin.appendChild(this._loading_bar);
		this._loading_text=document.createElement('div');
		this._loading_text__text=document.createElement('div');
		this._loading_text.className='ggskin ggskin_textdiv';
		this._loading_text.ggTextDiv=this._loading_text__text;
		this._loading_text.ggId="loading text";
		this._loading_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_text.ggVisible=true;
		this._loading_text.className='ggskin ggskin_text';
		this._loading_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: 242px;';
		hs+='top:  5px;';
		hs+='width: 178px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 178px;';
		hs+='height: 18px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #00aaff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._loading_text__text.setAttribute('style',hs);
		this._loading_text.ggUpdateText=function() {
			var hs="<b>\u0417\u0430\u0433\u0440\u0443\u0436\u0435\u043d\u043e "+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%<\/b>";
			if (hs!=this.ggText) {
				this.ggText=hs;
				this.ggTextDiv.innerHTML=hs;
			}
		}
		this._loading_text.ggUpdateText();
		this._loading_text.appendChild(this._loading_text__text);
		this.divSkin.appendChild(this._loading_text);
		this.preloadImages();
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading_bar.style[domTransition]='none';
			me._loading_bar.style.visibility='hidden';
			me._loading_bar.ggVisible=false;
			me._loading_text.style[domTransition]='none';
			me._loading_text.style.visibility='hidden';
			me._loading_text.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
			me._loading_bar.style[domTransition]='none';
			me._loading_bar.style.visibility='inherit';
			me._loading_bar.ggVisible=true;
			me._loading_text.style[domTransition]='none';
			me._loading_text.style.visibility='inherit';
			me._loading_text.ggVisible=true;
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseOver['autoplay']) {
			me._autoplay_text.style[domTransition]='none';
			me._autoplay_text.style.visibility='inherit';
			me._autoplay_text.ggVisible=true;
		}
		if (me.elementMouseOver['fullscreen']) {
			me._fullscreen_text.style[domTransition]='none';
			me._fullscreen_text.style.visibility='inherit';
			me._fullscreen_text.ggVisible=true;
		}
		if (me.elementMouseOver['info']) {
			me._info_text.style[domTransition]='none';
			me._info_text.style.visibility='inherit';
			me._info_text.ggVisible=true;
		}
		if (me.elementMouseDown['zoom0']) {
			me.player.changeFovLog(-1,true);
		}
		if (me.elementMouseOver['zoom0']) {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='inherit';
			me._zoom_text.ggVisible=true;
		}
		if (me.elementMouseDown['zoom']) {
			me.player.changeFovLog(1,true);
		}
		if (me.elementMouseOver['zoom']) {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='inherit';
			me._zoom_text.ggVisible=true;
		}
		if (me.elementMouseOver['zoom100']) {
			me._zoom_text.style[domTransition]='none';
			me._zoom_text.style.visibility='inherit';
			me._zoom_text.ggVisible=true;
		}
		var hs='';
		if (me._loading_bar.ggParameter) {
			hs+=parameterToTransform(me._loading_bar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loading_bar.style[domTransform]=hs;
		this._loading_text.ggUpdateText();
	};
	this.addSkin();
};